petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPFCGSetTruncationType

specify how many of its stored previous directions FCG uses during orthoganalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGSetTruncationType(KSP ksp,KSPFCDTruncationType truncstrat)

Logically Collective on KSP

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions KSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) stored directions at iteration i=0,1,..

### Input Parameters

| ksp | - the Krylov space context
| truncstrat | - the choice of strategy

### Options Database

-ksp_fcg_truncation_type <standard, notay> -specify how many of its stored previous directions FCG uses during orthoganalization

.seealso: KSPFCDTruncationType, KSPFCGGetTruncationType

### Level

intermediate

### Location

src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages